com.creamtec.ajaxswing

## Class HttpServletRequestImpl

- java.lang.Object
- - com.creamtec.ajaxswing.HttpServletRequestImpl

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest
  Direct Known Subclasses:
    InProcessHttpServletRequest

      public class HttpServletRequestImpl
      extends java.lang.Object
      implements javax.servlet.http.HttpServletRequest, java.io.Serializable

  Serializable HttpServletRequest data that can be passed to remote client agent. Provides part of http request data to AjaxSwing application.
  See Also:
    `HttpServletRequest`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HttpServletRequestImpl.MyCookie`
    `static class` | `HttpServletRequestImpl.SerializableCookie` Provides serializable wrapper for cookie.
    `static class` | `HttpServletRequestImpl.SerializableEnumeration` Provides serializable wrapper for Ennumeration.

  - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServletRequestImpl(javax.servlet.http.HttpServletRequest request, java.lang.String requestDataLevel)` Creates HttpServletRequestImpl and sets it with actual HttpServletRequest

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `authenticate(javax.servlet.http.HttpServletResponse response)`
    `java.lang.String` | `changeSessionId()`
    `javax.servlet.AsyncContext` | `getAsyncContext()`
    `java.lang.Object` | `getAttribute(java.lang.String s)` Return attribute from http request
    `java.util.Enumeration` | `getAttributeNames()` Return attributes names from http request
    `java.lang.String` | `getAuthType()` Return actual HttpServletRequest getAuthType() value
    `java.lang.String` | `getCharacterEncoding()` Return actual HttpServletRequest getCharacterEncoding() value
    `int` | `getContentLength()` Return actual HttpServletRequest getContentLength() value
    `long` | `getContentLengthLong()`
    `java.lang.String` | `getContentType()` Return actual HttpServletRequest getContentType() value
    `java.lang.String` | `getContextPath()` Return actual HttpServletRequest getContextPath() value
    `javax.servlet.http.Cookie[]` | `getCookies()` Return serializable cookies instances
    `long` | `getDateHeader(java.lang.String s)` Returns the value of the specified request header
    `javax.servlet.DispatcherType` | `getDispatcherType()`
    `java.lang.String` | `getHeader(java.lang.String s)` Returns the value of the specified request header
    `java.util.Enumeration` | `getHeaderNames()` Return header names from http request
    `java.util.Enumeration` | `getHeaders(java.lang.String s)` Returns all the values of the specified request header
    `javax.servlet.ServletInputStream` | `getInputStream()` Not implemented method.
    `int` | `getIntHeader(java.lang.String s)` Returns the value of the specified request header
    `java.lang.String` | `getLocalAddr()` Return actual HttpServletRequest getLocalAddr() value
    `java.util.Locale` | `getLocale()` Return actual HttpServletRequest getLocale() value
    `java.util.Enumeration` | `getLocales()` Return actual HttpServletRequest getLocales() value
    `java.lang.String` | `getLocalName()` Return actual HttpServletRequest getLocalName() value
    `int` | `getLocalPort()` Return actual HttpServletRequest getLocalPort() value
    `java.lang.String` | `getMethod()` Return actual HttpServletRequest getMethod() value
    `java.lang.String` | `getParameter(java.lang.String s)` Return request parameter value by it's name
    `java.util.Map` | `getParameterMap()` Return actual HttpServletRequest getParameterMap() value
    `java.util.Enumeration` | `getParameterNames()` Return keys from parameters map.
    `java.lang.String[]` | `getParameterValues(java.lang.String s)` Return values from parameters map as string array.
    `javax.servlet.http.Part` | `getPart(java.lang.String name)`
    `java.util.Collection<javax.servlet.http.Part>` | `getParts()`
    `java.lang.String` | `getPathInfo()` Return actual HttpServletRequest getPathInfo() value
    `java.lang.String` | `getPathTranslated()` Return actual HttpServletRequest getPathTranslated() value
    `java.lang.String` | `getProtocol()` Return actual HttpServletRequest getProtocol() value
    `java.lang.String` | `getQueryString()` Return actual HttpServletRequest getQueryString() value
    `java.io.BufferedReader` | `getReader()` Not implemented method.
    `java.lang.String` | `getRealPath(java.lang.String s)` Deprecated.
    `java.lang.String` | `getRemoteAddr()` Return actual HttpServletRequest getRemoteAddr() value
    `java.lang.String` | `getRemoteHost()` Return actual HttpServletRequest getRemoteHost() value
    `int` | `getRemotePort()` Return actual HttpServletRequest getRemotePort() value
    `java.lang.String` | `getRemoteUser()` Return actual HttpServletRequest getRemoteUser() value
    `javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String s)` Not implemented method.
    `java.lang.String` | `getRequestedSessionId()` Return actual HttpServletRequest getRequestedSessionId() value
    `java.lang.String` | `getRequestURI()` Return actual HttpServletRequest getRequestURI() value
    `java.lang.StringBuffer` | `getRequestURL()` Return actual HttpServletRequest getRequestURL() value
    `java.lang.String` | `getScheme()` Return actual HttpServletRequest getScheme() value
    `java.lang.String` | `getServerName()` Return actual HttpServletRequest getServerName() value
    `int` | `getServerPort()` Return actual HttpServletRequest getServerPort() value
    `javax.servlet.ServletContext` | `getServletContext()`
    `java.lang.String` | `getServletPath()` Return actual HttpServletRequest getServletPath() value
    `javax.servlet.http.HttpSession` | `getSession()` Not implemented method.
    `javax.servlet.http.HttpSession` | `getSession(boolean b)` Not implemented method.
    `java.security.Principal` | `getUserPrincipal()` Not implemented method.
    `boolean` | `isAsyncStarted()`
    `boolean` | `isAsyncSupported()`
    `boolean` | `isRequestedSessionIdFromCookie()` Return actual HttpServletRequest isRequestedSessionIdFromCookie() value
    `boolean` | `isRequestedSessionIdFromUrl()` Deprecated.
    `boolean` | `isRequestedSessionIdFromURL()` Return actual HttpServletRequest isRequestedSessionIdFromURL() value
    `boolean` | `isRequestedSessionIdValid()` Return actual HttpServletRequest isRequestedSessionIdValid() value
    `boolean` | `isSecure()` Return actual HttpServletRequest isSecure() value
    `boolean` | `isUserInRole(java.lang.String s)` Not implemented method.
    `void` | `login(java.lang.String username, java.lang.String password)`
    `void` | `logout()`
    `void` | `removeAttribute(java.lang.String s)` Not implemented method.
    `void` | `setAttribute(java.lang.String s, java.lang.Object o)` Not implemented method.
    `void` | `setCharacterEncoding(java.lang.String s)` Not implemented method.
    `javax.servlet.AsyncContext` | `startAsync()`
    `javax.servlet.AsyncContext` | `startAsync(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`
    `<T extends javax.servlet.http.HttpUpgradeHandler> T` | `upgrade(java.lang.Class<T> httpUpgradeHandlerClass)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServletRequestImpl

          public HttpServletRequestImpl(javax.servlet.http.HttpServletRequest request,
                                java.lang.String requestDataLevel)

      Creates HttpServletRequestImpl and sets it with actual HttpServletRequest
      Parameters:
        `request` - instance of servlet request

  - ### Method Detail

    - #### getAuthType

          public java.lang.String getAuthType()

      Return actual HttpServletRequest getAuthType() value
      Specified by:
        `getAuthType` in interface `javax.servlet.http.HttpServletRequest`

    - #### getContextPath

          public java.lang.String getContextPath()

      Return actual HttpServletRequest getContextPath() value
      Specified by:
        `getContextPath` in interface `javax.servlet.http.HttpServletRequest`

    - #### getCookies

          public javax.servlet.http.Cookie[] getCookies()

      Return serializable cookies instances
      Specified by:
        `getCookies` in interface `javax.servlet.http.HttpServletRequest`

    - #### getMethod

          public java.lang.String getMethod()

      Return actual HttpServletRequest getMethod() value
      Specified by:
        `getMethod` in interface `javax.servlet.http.HttpServletRequest`

    - #### getPathInfo

          public java.lang.String getPathInfo()

      Return actual HttpServletRequest getPathInfo() value
      Specified by:
        `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`

    - #### getPathTranslated

          public java.lang.String getPathTranslated()

      Return actual HttpServletRequest getPathTranslated() value
      Specified by:
        `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`

    - #### getQueryString

          public java.lang.String getQueryString()

      Return actual HttpServletRequest getQueryString() value
      Specified by:
        `getQueryString` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRemoteUser

          public java.lang.String getRemoteUser()

      Return actual HttpServletRequest getRemoteUser() value
      Specified by:
        `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestedSessionId

          public java.lang.String getRequestedSessionId()

      Return actual HttpServletRequest getRequestedSessionId() value
      Specified by:
        `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestURI

          public java.lang.String getRequestURI()

      Return actual HttpServletRequest getRequestURI() value
      Specified by:
        `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestURL

          public java.lang.StringBuffer getRequestURL()

      Return actual HttpServletRequest getRequestURL() value
      Specified by:
        `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`

    - #### getServletPath

          public java.lang.String getServletPath()

      Return actual HttpServletRequest getServletPath() value
      Specified by:
        `getServletPath` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromCookie

          public boolean isRequestedSessionIdFromCookie()

      Return actual HttpServletRequest isRequestedSessionIdFromCookie() value
      Specified by:
        `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromURL

          public boolean isRequestedSessionIdFromURL()

      Return actual HttpServletRequest isRequestedSessionIdFromURL() value
      Specified by:
        `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdValid

          public boolean isRequestedSessionIdValid()

      Return actual HttpServletRequest isRequestedSessionIdValid() value
      Specified by:
        `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`

    - #### getCharacterEncoding

          public java.lang.String getCharacterEncoding()

      Return actual HttpServletRequest getCharacterEncoding() value
      Specified by:
        `getCharacterEncoding` in interface `javax.servlet.ServletRequest`

    - #### getContentLength

          public int getContentLength()

      Return actual HttpServletRequest getContentLength() value
      Specified by:
        `getContentLength` in interface `javax.servlet.ServletRequest`

    - #### getContentType

          public java.lang.String getContentType()

      Return actual HttpServletRequest getContentType() value
      Specified by:
        `getContentType` in interface `javax.servlet.ServletRequest`

    - #### getLocalAddr

          public java.lang.String getLocalAddr()

      Return actual HttpServletRequest getLocalAddr() value
      Specified by:
        `getLocalAddr` in interface `javax.servlet.ServletRequest`

    - #### getLocale

          public java.util.Locale getLocale()

      Return actual HttpServletRequest getLocale() value
      Specified by:
        `getLocale` in interface `javax.servlet.ServletRequest`

    - #### getLocales

          public java.util.Enumeration getLocales()

      Return actual HttpServletRequest getLocales() value
      Specified by:
        `getLocales` in interface `javax.servlet.ServletRequest`

    - #### getLocalName

          public java.lang.String getLocalName()

      Return actual HttpServletRequest getLocalName() value
      Specified by:
        `getLocalName` in interface `javax.servlet.ServletRequest`

    - #### getLocalPort

          public int getLocalPort()

      Return actual HttpServletRequest getLocalPort() value
      Specified by:
        `getLocalPort` in interface `javax.servlet.ServletRequest`

    - #### getParameter

          public java.lang.String getParameter(java.lang.String s)

      Return request parameter value by it's name
      Specified by:
        `getParameter` in interface `javax.servlet.ServletRequest`

    - #### getParameterMap

          public java.util.Map getParameterMap()

      Return actual HttpServletRequest getParameterMap() value
      Specified by:
        `getParameterMap` in interface `javax.servlet.ServletRequest`

    - #### getParameterValues

          public java.lang.String[] getParameterValues(java.lang.String s)

      Return values from parameters map as string array.
      Specified by:
        `getParameterValues` in interface `javax.servlet.ServletRequest`

    - #### getParameterNames

          public java.util.Enumeration getParameterNames()

      Return keys from parameters map.
      Specified by:
        `getParameterNames` in interface `javax.servlet.ServletRequest`

    - #### getProtocol

          public java.lang.String getProtocol()

      Return actual HttpServletRequest getProtocol() value
      Specified by:
        `getProtocol` in interface `javax.servlet.ServletRequest`

    - #### getRemoteAddr

          public java.lang.String getRemoteAddr()

      Return actual HttpServletRequest getRemoteAddr() value
      Specified by:
        `getRemoteAddr` in interface `javax.servlet.ServletRequest`

    - #### getRemoteHost

          public java.lang.String getRemoteHost()

      Return actual HttpServletRequest getRemoteHost() value
      Specified by:
        `getRemoteHost` in interface `javax.servlet.ServletRequest`

    - #### getRemotePort

          public int getRemotePort()

      Return actual HttpServletRequest getRemotePort() value
      Specified by:
        `getRemotePort` in interface `javax.servlet.ServletRequest`

    - #### getScheme

          public java.lang.String getScheme()

      Return actual HttpServletRequest getScheme() value
      Specified by:
        `getScheme` in interface `javax.servlet.ServletRequest`

    - #### getServerName

          public java.lang.String getServerName()

      Return actual HttpServletRequest getServerName() value
      Specified by:
        `getServerName` in interface `javax.servlet.ServletRequest`

    - #### getServerPort

          public int getServerPort()

      Return actual HttpServletRequest getServerPort() value
      Specified by:
        `getServerPort` in interface `javax.servlet.ServletRequest`

    - #### isSecure

          public boolean isSecure()

      Return actual HttpServletRequest isSecure() value
      Specified by:
        `isSecure` in interface `javax.servlet.ServletRequest`

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String s)

      Return attribute from http request
      Specified by:
        `getAttribute` in interface `javax.servlet.ServletRequest`

    - #### getAttributeNames

          public java.util.Enumeration getAttributeNames()

      Return attributes names from http request
      Specified by:
        `getAttributeNames` in interface `javax.servlet.ServletRequest`

    - #### getHeaderNames

          public java.util.Enumeration getHeaderNames()

      Return header names from http request
      Specified by:
        `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`

    - #### getDateHeader

          public long getDateHeader(java.lang.String s)

      Returns the value of the specified request header
      Specified by:
        `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeader

          public java.lang.String getHeader(java.lang.String s)

      Returns the value of the specified request header
      Specified by:
        `getHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeaders

          public java.util.Enumeration getHeaders(java.lang.String s)

      Returns all the values of the specified request header
      Specified by:
        `getHeaders` in interface `javax.servlet.http.HttpServletRequest`

    - #### getIntHeader

          public int getIntHeader(java.lang.String s)

      Returns the value of the specified request header
      Specified by:
        `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### isUserInRole

          public boolean isUserInRole(java.lang.String s)

      Not implemented method. Value is not available for remote client.
      Specified by:
        `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`

    - #### getSession

          public javax.servlet.http.HttpSession getSession(boolean b)

      Not implemented method. Value is not available for remote client.
      Specified by:
        `getSession` in interface `javax.servlet.http.HttpServletRequest`

    - #### getInputStream

          public javax.servlet.ServletInputStream getInputStream()
                                                          throws java.io.IOException

      Not implemented method. Value is not available for remote client.
      Specified by:
        `getInputStream` in interface `javax.servlet.ServletRequest`
      Throws:
        `java.io.IOException`

    - #### getRequestDispatcher

          public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String s)

      Not implemented method. Value is not available for remote client.
      Specified by:
        `getRequestDispatcher` in interface `javax.servlet.ServletRequest`

    - #### getSession

          public javax.servlet.http.HttpSession getSession()

      Not implemented method. Value is not available for remote client.
      Specified by:
        `getSession` in interface `javax.servlet.http.HttpServletRequest`

    - #### getUserPrincipal

          public java.security.Principal getUserPrincipal()

      Not implemented method. Value is not available for remote client.
      Specified by:
        `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`

    - #### getReader

          public java.io.BufferedReader getReader()
                                           throws java.io.IOException

      Not implemented method. Value is not available for remote client.
      Specified by:
        `getReader` in interface `javax.servlet.ServletRequest`
      Throws:
        `java.io.IOException`

    - #### getRealPath

          public java.lang.String getRealPath(java.lang.String s)

      Deprecated.
      Not implemented method. Value is not available for remote client.
      Specified by:
        `getRealPath` in interface `javax.servlet.ServletRequest`

    - #### isRequestedSessionIdFromUrl

          public boolean isRequestedSessionIdFromUrl()

      Deprecated.
      Not implemented method. Value is not available for remote client.
      Specified by:
        `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

    - #### removeAttribute

          public void removeAttribute(java.lang.String s)

      Not implemented method.
      Specified by:
        `removeAttribute` in interface `javax.servlet.ServletRequest`

    - #### setAttribute

          public void setAttribute(java.lang.String s,
                          java.lang.Object o)

      Not implemented method.
      Specified by:
        `setAttribute` in interface `javax.servlet.ServletRequest`

    - #### setCharacterEncoding

          public void setCharacterEncoding(java.lang.String s)
                                    throws java.io.UnsupportedEncodingException

      Not implemented method.
      Specified by:
        `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
      Throws:
        `java.io.UnsupportedEncodingException`

    - #### getContentLengthLong

          public long getContentLengthLong()

      Specified by:
        `getContentLengthLong` in interface `javax.servlet.ServletRequest`

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Specified by:
        `getServletContext` in interface `javax.servlet.ServletRequest`

    - #### startAsync

          public javax.servlet.AsyncContext startAsync()
                                                throws java.lang.IllegalStateException

      Specified by:
        `startAsync` in interface `javax.servlet.ServletRequest`
      Throws:
        `java.lang.IllegalStateException`

    - #### startAsync

          public javax.servlet.AsyncContext startAsync(javax.servlet.ServletRequest servletRequest,
                                              javax.servlet.ServletResponse servletResponse)
                                                throws java.lang.IllegalStateException

      Specified by:
        `startAsync` in interface `javax.servlet.ServletRequest`
      Throws:
        `java.lang.IllegalStateException`

    - #### isAsyncStarted

          public boolean isAsyncStarted()

      Specified by:
        `isAsyncStarted` in interface `javax.servlet.ServletRequest`

    - #### isAsyncSupported

          public boolean isAsyncSupported()

      Specified by:
        `isAsyncSupported` in interface `javax.servlet.ServletRequest`

    - #### getAsyncContext

          public javax.servlet.AsyncContext getAsyncContext()

      Specified by:
        `getAsyncContext` in interface `javax.servlet.ServletRequest`

    - #### getDispatcherType

          public javax.servlet.DispatcherType getDispatcherType()

      Specified by:
        `getDispatcherType` in interface `javax.servlet.ServletRequest`

    - #### authenticate

          public boolean authenticate(javax.servlet.http.HttpServletResponse response)
                               throws java.io.IOException,
                                      javax.servlet.ServletException

      Specified by:
        `authenticate` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### changeSessionId

          public java.lang.String changeSessionId()

      Specified by:
        `changeSessionId` in interface `javax.servlet.http.HttpServletRequest`

    - #### getPart

          public javax.servlet.http.Part getPart(java.lang.String name)
                                          throws java.io.IOException,
                                                 javax.servlet.ServletException

      Specified by:
        `getPart` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### getParts

          public java.util.Collection<javax.servlet.http.Part> getParts()
                                                                 throws java.io.IOException,
                                                                        javax.servlet.ServletException

      Specified by:
        `getParts` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### login

          public void login(java.lang.String username,
                   java.lang.String password)
                     throws javax.servlet.ServletException

      Specified by:
        `login` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `javax.servlet.ServletException`

    - #### logout

          public void logout()
                      throws javax.servlet.ServletException

      Specified by:
        `logout` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `javax.servlet.ServletException`

    - #### upgrade

          public <T extends javax.servlet.http.HttpUpgradeHandler> T upgrade(java.lang.Class<T> httpUpgradeHandlerClass)
                                                                  throws java.io.IOException,
                                                                         javax.servlet.ServletException

      Specified by:
        `upgrade` in interface `javax.servlet.http.HttpServletRequest`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.